EXT2FS(4)

NAME
ext2fs - ext2/ext3/ext4 file system

SYNOPSIS
To link into the kernel:

options EXT2FS

To load as a kernel loadable module:

    kldload ext2fs

DESCRIPTION
The ext2fs driver will permit the FreeBSD kernel to access ext2 file systems and its derivatives. It currently implements most of the features required by ext3 and ext4 file systems. Support for Extended Attributes in ext4 is experimental. Journalling and encryption are currently not supported.

EXAMPLES
To mount a ext2fs volume located on /dev/ada1s1:

    mount -t ext2fs /dev/ada1s1 /mnt

SEE ALSO
nmount(2), unmount(2), fstab(5), mount(8)

HISTORY
The ext2fs driver first appeared in FreeBSD 2.2.

AUTHORS
-nosplit The ext2fs kernel implementation is derived from code written, or modified, by Godmar Back using the UFS CSRG sources for CMU Mach.

John Dyson did the initial port to FreeBSD. Aditya Sarawgi merged important parts of the allocation code from a clean-room NetBSD implementation. Zheng Liu and Fedor Uporov implemented the read and write support respectively for ext4 filesystems. The FreeBSD community has contributed a huge amount of modifications.

The initial version of this manual page was written by Craig Rodrigues <rodrigc@FreeBSD.org>.